API ReferenceEcosystems
Update ecosystem
PUT
/v1/ecosystems/{ecosystemId}Updates an ecosystem by its ID.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_UPDATE_STARTECOSYSTEM_UPDATE_SUCCESSECOSYSTEM_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "name": "My Ecosystem", "integrations": [ { "format": "MATTR", "url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy", "enabled": true, "integrationResult": { "success": true, "lastSyncedAt": "2024-09-10T02:28:36.550Z", "lastModifiedAt": "2024-08-10T02:28:36.550Z", "failReasons": [ { "type": "UnknownVerificationError", "message": "Unknown verification error occurred" } ] } } ]}How would you rate this page?